Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I uninstalled propriety ATI driver to check if it would fix wrong Plymouth resolution. It did. But now I cannot reinstall either propriety drivers listed.

Also package system has broken with this error:

The package system is broken

If you are using third party repositories then disable them, since they are a common source of problems. Now run the following command in a terminal: apt-get install -f

The following packages have unmet dependencies:

fglrx-amdcccle: Depends: fglrx but it is not installed Depends: libqtcore4 (>= 4:4.5.3) but 4:4.8.1-0ubuntu4.1 is installed Depends: libqtgui4 (>= 4:4.5.3) but 4:4.8.1-0ubuntu4.1 is installed

What should I do?

share|improve this question
add comment

2 Answers

Use broken package filter in Synaptic to locate failed package, then uninstall. This will fix broken dependency but no idea how to get either propriety graphics drivers to reinstall. Open to suggestions...

share|improve this answer
add comment

I have always had trouble with the drivers in the repositories for AMD. I recommend going directly to the AMD website at http://www.amd.com/us/products/technologies/amd-catalyst/Pages/catalyst.aspx Click on the 'find a Driver' dialogue, fill in the details for your system, and download the file. Then you need to run it and follow the instructions to build the .deb files for your computer, and then install the drivers using your favourite package manager. These instructions here are a little brief and lacking detail, but I think more complete instructions for this process are easily available on this forum and elsewhere on the web.

share|improve this answer
    
...but of course follow Fleamour first to repair package dependencies, then you should be able to uninstall with no difficulty. –  Bobble Jul 5 '12 at 1:42
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.